<block-ui message="Loading...">
</block-ui>

<!-- <div class="pl-5">
    <a [routerLink]="['/tools']" class="d-flex align-items-center"><mat-icon class="mr-1 default-icon">keyboard_arrow_left</mat-icon><span>Tools</span></a>
</div> -->

<!--<h3 class="mb-3 mt-3" id="heading">-->
<!--  {{  }}-->
<!--</h3>-->
<!-- <mat-divider class="ml-5 mr-5"></mat-divider> -->
<div class="ml-5 mr-5">
  <app-alert [message]="message" [type]="type" id="alert">
  </app-alert>
</div>

<div class=" pb-5">
  <form [formGroup]="locationForm">
    <div class="form-group row">
      <div class="col-xl-3 col-lg-6">
        <div class="row">
          <div class="col-12">
            <app-image-upload #photo></app-image-upload>
          </div>

          <!-- Phone  -->
          <div class="col-xl-12 mt-3 d-flex align-items-center">
            <mat-form-field [appearance]="apperance" class="full-width">
              <mat-label>Phone</mat-label>
              <input matInput placeholder="Phone" type="tel" formControlName="phone" appOnlyNumber>
            </mat-form-field>
          </div>

          <!-- Mobile  -->
          <div class="col-xl-12 d-flex align-items-center">
            <mat-form-field [appearance]="apperance" class="full-width">
              <mat-label>Mobile</mat-label>
              <input matInput placeholder="Mobile" type="tel" formControlName="mobile" appOnlyNumber>
            </mat-form-field>
          </div>

          <!-- Email id  -->
          <div class="col-xl-12 align-items-center">
            <div class="col-xl-12 required-label-top text-right p-0" style="margin-top: -0.5rem">
              <span>Required</span>
            </div>
            <mat-form-field [appearance]="apperance" class="full-width">
              <mat-label>Email id</mat-label>
              <input matInput placeholder="Email id" required formControlName="emailId" appCharLimit
                     [frmGroup]="locationForm" fcName="emailId" [max]="100">
              <mat-error *ngIf="locationForm.get('emailId').hasError('required')">
                This field is required
              </mat-error>
              <mat-error *ngIf="locationForm.get('emailId').hasError('pattern')">
                Please enter a valid email address.
              </mat-error>
              <mat-error *ngIf="locationForm.get('emailId').hasError('exceedLimit')">
                {{locationForm.get('emailId').getError('exceedLimit')}}
              </mat-error>
            </mat-form-field>
          </div>

          <!-- Website  -->
          <div class="col-xl-12 d-flex align-items-center">
            <mat-form-field [appearance]="apperance" class="full-width">
              <mat-label>Website</mat-label>
              <input matInput placeholder="Website" formControlName="website" appCharLimit [frmGroup]="locationForm"
                     fcName="website" [max]="100">
              <mat-error *ngIf="locationForm.get('website').touched && locationForm.get('website').hasError('pattern')">
                Please enter a valid website address.
              </mat-error>
              <mat-error *ngIf="locationForm.get('website').hasError('exceedLimit')">
                {{locationForm.get('website').getError('exceedLimit')}}
              </mat-error>
            </mat-form-field>
          </div>

          <!-- Fax  -->
          <div class="col-xl-12 d-flex align-items-center">
            <mat-form-field [appearance]="apperance" class="full-width">
              <mat-label>Fax</mat-label>
              <input matInput placeholder="Fax" type="tel" formControlName="fax">
            </mat-form-field>
          </div>
        </div>
      </div>

      <div class="col-xl-6 col-lg-6 bg-white">
        <div class="row mt-3 pb-2 pl-3 pr-3">
          <!-- Location Name  -->
          <div class="col-xl-12 required-label-top text-right p-0">
            <span>Required</span>
          </div>
          <div class="col-xl-12 d-flex align-items-center pl-0 pr-0">
            <mat-form-field [appearance]="apperance" class="full-width">
              <mat-label>Location Name</mat-label>
              <input matInput placeholder="Location Name" required formControlName="locationName" appCharLimit
                     [frmGroup]="locationForm" fcName="locationName" [max]="30">
              <mat-error *ngIf="locationForm.get('locationName').hasError('required')">
                This field is required
              </mat-error>
              <mat-error *ngIf="locationForm.get('locationName').hasError('exceedLimit')">
                {{locationForm.get('locationName').getError('exceedLimit')}}
              </mat-error>
              <mat-hint>Short Name of this Location</mat-hint>
            </mat-form-field>
          </div>

          <!-- Location Registration Name  -->
          <div class="col-xl-12 d-flex align-items-center mt-3 pl-0 pr-0">
            <mat-form-field [appearance]="apperance" class="full-width">
              <mat-label>Location Registration Name</mat-label>
              <input matInput placeholder="Location Registration Name" formControlName="locationRegistrationName"
                     appCharLimit [frmGroup]="locationForm" fcName="locationRegistrationName" [max]="200">
              <mat-error *ngIf="locationForm.get('locationRegistrationName').hasError('exceedLimit')">
                {{locationForm.get('locationRegistrationName').getError('exceedLimit')}}
              </mat-error>
            </mat-form-field>
          </div>

          <!-- Location Registration Number  -->
          <div class="col-xl-12 d-flex align-items-center pl-0 pr-0">
            <mat-form-field [appearance]="apperance" class="full-width">
              <mat-label>Location Registration Number</mat-label>
              <input matInput placeholder="Location Registration Number" formControlName="locationRegistrationNo"
                     appCharLimit [frmGroup]="locationForm" fcName="locationRegistrationNo" [max]="50" appOnlyNumber>
              <mat-error *ngIf="locationForm.get('locationRegistrationNo').hasError('exceedLimit')">
                {{locationForm.get('locationRegistrationNo').getError('exceedLimit')}}
              </mat-error>
            </mat-form-field>
          </div>

          <!-- Contact Person  -->
          <div class="col-xl-12 d-flex align-items-center pl-0 pr-0">
            <!-- <mat-form-field [appearance]="apperance" class="full-width">
                <mat-label>Contact Person</mat-label>
                <input matInput placeholder="Contact Person" formControlName="contactPerson" (keypress)="restrictMaxLength($event, 100)">
                <mat-select formControlName="contactPerson" (selectionChange)="demo($event.value)">
                    <mat-option *ngFor="let person of contactPerson" [value]="person.id">
                        {{person.firstName}} {{person.lastName}}
                    </mat-option>
                </mat-select>
                <mat-hint>Kavanii will contact this person for any information</mat-hint>
            </mat-form-field> -->

            <mat-form-field [appearance]="apperance" class="full-width">
              <mat-label>Contact Person</mat-label>
              <app-dropdown-search
                      formControlName="contactPerson"
                      [data]="contactPerson"
                      [valueField]="'name'"
                      [textField]="'name'"
              ></app-dropdown-search>
<!--              <input type="text" matInput class="d-none" [value]="locationForm.get('contactPerson').value">-->
<!--              <kendo-dropdownlist-->
<!--                formControlName="contactPerson"-->
<!--                [data]="filteredOptions"-->
<!--                [valuePrimitive]="true"-->
<!--                [filterable]="true"-->
<!--                [valueField]="'name'"-->
<!--                [textField]="'name'"-->
<!--                (filterChange)="handleContactPersonFilter($event)"-->
<!--                class="app-auto-complete-with-new mb-0 w-100"-->
<!--              >-->
<!--                <ng-template kendoDropDownListNoDataTemplate>-->
<!--                  <div>-->
<!--                    No data found.-->
<!--                  </div>-->
<!--                </ng-template>-->
<!--              </kendo-dropdownlist>-->
            <mat-hint>Kavanii will contact this person for any information.</mat-hint>
            </mat-form-field>
          </div>
        </div>

        <mat-accordion>
          <mat-expansion-panel expanded="true">
            <mat-expansion-panel-header>
              <mat-panel-title>
                Location Address
              </mat-panel-title>
              <mat-panel-description>
                Required
              </mat-panel-description>
            </mat-expansion-panel-header>

            <!-- Address details -->
            <div class="row pt-2 pb-2">

              <div class="col-xl-12">
                <app-address-field [addressForm]="locationForm" addressFieldName="address1" [hasAddress2]="true" containerClass="tool-content-space"></app-address-field>
              </div>

<!--              <div class="col-xl-12">-->
<!--                <mat-form-field [appearance]="apperance" class="full-width">-->
<!--                  <mat-label>Address 1</mat-label>-->
<!--                  <input matInput placeholder="Address 1" formControlName="address1">-->
<!--                </mat-form-field>-->
<!--              </div>-->
<!--              <div class="col-xl-12">-->
<!--                <mat-form-field [appearance]="apperance" class="full-width">-->
<!--                  <mat-label>Address 2</mat-label>-->
<!--                  <input matInput placeholder="Address 2" formControlName="address2">-->
<!--                </mat-form-field>-->
<!--              </div>-->
<!--              <div class="col-xl-12">-->
<!--                <mat-form-field [appearance]="apperance" class="full-width">-->
<!--                  <mat-label>City</mat-label>-->
<!--                  <mat-select formControlName="city">-->
<!--                    <mat-option value="Sydney">-->
<!--                      Sydney-->
<!--                    </mat-option>-->
<!--                    <mat-option value="Melbourne">-->
<!--                      Melbourne-->
<!--                    </mat-option>-->
<!--                  </mat-select>-->
<!--                </mat-form-field>-->
<!--              </div>-->
<!--              <div class="col-xl-6">-->
<!--                <div class="col-xl-12 required-label-top text-right" style="margin-top: -0.5rem">-->
<!--                  <span>Required</span>-->
<!--                </div>-->
<!--                <mat-form-field [appearance]="apperance" class="full-width">-->
<!--                  <mat-label>State</mat-label>-->
<!--                  <mat-select formControlName="state" required>-->
<!--                    <mat-option value="ACT">-->
<!--                      ACT-->
<!--                    </mat-option>-->
<!--                    <mat-option value="NSW">-->
<!--                      NSW-->
<!--                    </mat-option>-->
<!--                  </mat-select>-->
<!--                  <mat-error *ngIf="locationForm.get('state').hasError('required')">-->
<!--                    Data not entered-->
<!--                  </mat-error>-->
<!--                </mat-form-field>-->
<!--              </div>-->

<!--              <div class="col-xl-6 mt-21">-->
<!--                <div class="col-xl-12 text-right" style="margin-top: -0.5rem">-->
<!--                  <span></span>-->
<!--                </div>-->
<!--                <mat-form-field [appearance]="apperance" class="full-width">-->
<!--                  <mat-label>Post code</mat-label>-->
<!--                  <input matInput placeholder="Post code" formControlName="postCode" appOnlyNumber>-->
<!--                </mat-form-field>-->
<!--              </div>-->

<!--              <div class="col-xl-12">-->
<!--                <div class="col-xl-12 required-label-top text-right" style="margin-top: -0.5rem">-->
<!--                  <span>Required</span>-->
<!--                </div>-->
<!--                <mat-form-field [appearance]="apperance" class="full-width">-->
<!--                  <mat-label>Country</mat-label>-->
<!--                  <mat-select formControlName="country" required>-->
<!--                    <mat-option *ngFor="let c of countries | orderBy: 'country_Name'" [value]="c.country_Name">-->
<!--                      {{ c.country_Name }}-->
<!--                    </mat-option>-->
<!--                  </mat-select>-->
<!--                </mat-form-field>-->
<!--              </div>-->
            </div>

          </mat-expansion-panel>
        </mat-accordion>

        <mat-accordion>
          <mat-expansion-panel expanded="true">
            <mat-expansion-panel-header>
              <mat-panel-title>
                Bank details
              </mat-panel-title>
              <mat-panel-description>
                Required
              </mat-panel-description>
            </mat-expansion-panel-header>
            <div class="row">
              <!-- Bank Name  -->
              <div class="col-xl-12 d-flex align-items-center">
                <mat-form-field [appearance]="apperance" class="full-width">
                  <mat-label>Bank Name</mat-label>
                  <input matInput placeholder="Bank Name" formControlName="bankName" appCharLimit
                         [frmGroup]="locationForm" fcName="bankName" [max]="100">
                  <mat-error *ngIf="locationForm.get('bankName').hasError('exceedLimit')">
                    {{locationForm.get('bankName').getError('exceedLimit')}}
                  </mat-error>
                </mat-form-field>
              </div>
              <!-- BSB Number  -->
              <div class="col-xl-12 d-flex align-items-center">
                <mat-form-field [appearance]="apperance" class="full-width">
                  <mat-label>BSB Number</mat-label>
                  <input matInput placeholder="BSB Number" formControlName="bsbNumber" appCharLimit
                         [frmGroup]="locationForm" fcName="bsbNumber" [max]="30">
                  <mat-error *ngIf="locationForm.get('bsbNumber').hasError('exceedLimit')">
                    {{locationForm.get('bsbNumber').getError('exceedLimit')}}
                  </mat-error>
                </mat-form-field>
              </div>

              <!-- Account Number  -->
              <div class="col-xl-12 d-flex align-items-center">
                <mat-form-field [appearance]="apperance" class="full-width">
                  <mat-label>Account Number</mat-label>
                  <input matInput placeholder="Account Number" formControlName="accountNumber" appCharLimit
                         [frmGroup]="locationForm" fcName="accountNumber" [max]="30">
                  <mat-error *ngIf="locationForm.get('accountNumber').hasError('exceedLimit')">
                    {{locationForm.get('accountNumber').getError('exceedLimit')}}
                  </mat-error>
                </mat-form-field>
              </div>

              <!-- Invoice Terms  -->
              <div class="col-xl-12 d-flex align-items-center">
                <mat-form-field [appearance]="apperance" class="full-width">
                  <mat-label>Invoice Terms</mat-label>
                  <textarea matInput placeholder="Invoice Terms" formControlName="invoiceTerms" appCharLimit
                            [frmGroup]="locationForm" fcName="invoiceTerms" [max]="250" rows="3"></textarea>
                  <mat-error *ngIf="locationForm.get('invoiceTerms').hasError('exceedLimit')">
                    {{locationForm.get('invoiceTerms').getError('exceedLimit')}}
                  </mat-error>
                </mat-form-field>
              </div>

              <!-- Notes  -->
              <div class="col-xl-12 d-flex align-items-center">
                <mat-form-field [appearance]="apperance" class="full-width">
                  <mat-label>Notes</mat-label>
                  <textarea matInput placeholder="Notes" formControlName="notes" rows="3"></textarea>
                </mat-form-field>
              </div>
            </div>
          </mat-expansion-panel>
        </mat-accordion>

      </div>
      <div class="col-xl-3 col-lg-12">
        <div class="col-xl-12 pl-0 pr-0 text-right">
          <!-- <mat-button-toggle-group #group="matButtonToggleGroup" formControlName="status">
    <mat-button-toggle value="active" color="warn">
        <mat-icon>check_circle_outline</mat-icon>
        Active
        </mat-button-toggle>
        <mat-button-toggle value="inactive" color="warn">
        Inactive
    </mat-button-toggle>
</mat-button-toggle-group> -->
          <h6 class="bold black " style="margin-bottom: -0.5rem;">Status:</h6>
          <kendo-switch formControlName="status" [onLabel]="'Active'" [offLabel]="'Inactive'"
                        class="mt-3 mb-3"></kendo-switch>
          <mat-divider></mat-divider>
        </div>
        <div class="col-xl-12 pl-0 pr-0">
          <div class="mt-3 bold d-flex align-items-center justify-content-between">
            <h4 class="m-0 d-flex align-items-center mt-2">
              <mat-icon>calendar_today</mat-icon>
              <div class="bold_22px_24px normalhelfont">Scheduler options</div>
            </h4>
            <div class="mt-2" *ngIf="clickedCalendarOptions">
              <a href="" (click)="openDialog($event);" class="d-flex flex-nowrap"
                 style="text-decoration: none !important;">
                <mat-icon class="d-inline" class="default-icon">edit</mat-icon>
                <p class="m-0">
                  Edit
                </p>
              </a>
            </div>
          </div>
          <div *ngIf="!clickedCalendarOptions" class="mt-3">
            <button mat-stroked-button color="accent" class="wide" (click)="openDialog($event);">Setup Scheduler
            </button>
          </div>
        </div>
        <div *ngIf="clickedCalendarOptions">
          <div class="col-xl-12 mt-3 pl-0 pr-0">
            <h6>Timezone</h6>
            {{ locationForm.get('timeZone').value }}
          </div>
          <div class="col-xl-12 mt-3 pl-0 pr-0">
            <h6>Scheduler Time</h6>
            <div class="d-flex align-items-center">
                            <span class="color mr-3"
                                  [ngStyle]="{ 'background-color' : locationForm.get('calendarColor').value  }">
              </span>
              <span class="">
                {{ locationForm.get('startTime').value | date:'shortTime'  }}
                to {{ locationForm.get('endTime').value | date:'shortTime'  }}
              </span>
            </div>
          </div>
          <div class="col-xl-12 mt-3 pl-0 pr-0">
            <h6>Time slot</h6>
            {{ locationForm.get('timeSlot').value }}
          </div>
          <div class="col-xl-12 mt-3 pl-0 pr-0">
            <h6>Time slot size</h6>
            {{ locationForm.get('timeSlotSize').value}}
          </div>
          <div class="col-xl-12 mt-3 pl-0 pr-0">
            <h6>Allow Booking Outside Schedule Hours</h6>
            {{ locationForm.get('isAllowBookingOutsideScheduleHours').value == true ? "Allowed" : "Not Allowed"}}
          </div>
          <div class="col-xl-12 mt-3 pl-0 pr-0">
            <h6>Show Waiting Room</h6>
            {{ locationForm.get('isShowWaitRoom').value == true ? "Allowed" : "Not Allowed"}}
          </div>
          <div class="col-xl-12 mt-3 pl-0 pr-0">
            <h6>Double Booking</h6>
            {{ locationForm.get('isDoubleBooking').value == true ? "Allowed" : "Not Allowed" }}
          </div>
          <div class="col-xl-12 mt-3 pl-0 pr-0">
            <h6>Patient online booking</h6>
            {{ locationForm.get('isPatientOnlineBooking').value == true ? "Allowed" : "Not Allowed" }}
          </div>
        </div>
      </div>
    </div>
  </form>

  <!-- {{ locationForm.value | json}} -->
</div>


<div class="text-right control-row">
  <mat-divider class="ml-5 mr-5"></mat-divider>
  <div class="pt-3">
    <button mat-stroked-button color="accent" class="mr-3" (click)="cancel();">Cancel</button>
    <button mat-raised-button color="accent" class="mr-5 wide" (click)="createlocation($event);"
            *ngIf="hasPermission(moduleName,['C', 'E']) || (dashboard && !dashboard.isLocationAdded)"
            [disabled]="submitting">
      <span *ngIf="!submitting">Save</span>
      <span *ngIf="submitting">Saving...</span>
      <!-- <mat-spinner class="spinner" diameter="15" *ngIf="submitting"></mat-spinner> -->
    </button>
  </div>
</div>
